org.richfaces.configuration

## Enum CoreConfiguration.PushPropertiesItems

- java.lang.Object
- - java.lang.Enum<CoreConfiguration.PushPropertiesItems>
  - - org.richfaces.configuration.CoreConfiguration.PushPropertiesItems

- All Implemented Interfaces:
    Serializable, Comparable<CoreConfiguration.PushPropertiesItems>
  Enclosing class:
    CoreConfiguration

      @ConfigurationItemsBundle(propertiesFile="org/richfaces/push.properties")
      public static enum CoreConfiguration.PushPropertiesItems
      extends Enum<CoreConfiguration.PushPropertiesItems>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `pushPropertiesJMSConnectionFactory`
    `pushPropertiesJMSConnectionPassword`
    `pushPropertiesJMSConnectionUsername`
    `pushPropertiesJMSTopicsNamespace`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CoreConfiguration.PushPropertiesItems` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CoreConfiguration.PushPropertiesItems[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### pushPropertiesJMSConnectionFactory

          @ConfigurationItem(names="jms.connectionFactory")
          public static final CoreConfiguration.PushPropertiesItems pushPropertiesJMSConnectionFactory

    - #### pushPropertiesJMSTopicsNamespace

          @ConfigurationItem(names="jms.topicsNamespace")
          public static final CoreConfiguration.PushPropertiesItems pushPropertiesJMSTopicsNamespace

    - #### pushPropertiesJMSConnectionUsername

          @ConfigurationItem(names="jms.connectionUsername")
          public static final CoreConfiguration.PushPropertiesItems pushPropertiesJMSConnectionUsername

    - #### pushPropertiesJMSConnectionPassword

          @ConfigurationItem(names="jms.connectionPassword")
          public static final CoreConfiguration.PushPropertiesItems pushPropertiesJMSConnectionPassword

  - ### Method Detail

    - #### values

          public static CoreConfiguration.PushPropertiesItems[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreConfiguration.PushPropertiesItems c : CoreConfiguration.PushPropertiesItems.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreConfiguration.PushPropertiesItems valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All rights reserved.